// Project Lab - NHTV IGAD
//////////////////////////////////////////
// Author: Yoshi van Belkom - 130118
//////////////////////////////////////////
// The Skill Tree Editor Module Interface.
//////////////////////////////////////////

#pragma once

#include "ModuleManager.h"

class ISkillTreeEditor : public IModuleInterface
{
public:
	//Function to Get the Singleton of this Module if it's loaded.
	static inline ISkillTreeEditor& Get()
	{
		return FModuleManager::LoadModuleChecked< ISkillTreeEditor >( "SkillTreeEditor" );
	}

	//Function to check if the Module is loaded.
	static inline bool IsAvailable()
	{
		return FModuleManager::Get().IsModuleLoaded( "SkillTreeEditor" );
	}
};

